package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC以太网物理适配器
 * 
 * @author LuYanChao
 */
@Deprecated
@Table("hmc_physical_ethernet_adapter")
public class HmcPhysicalEthernetAdapter extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID

    @Column("server_id")
    private Long serverId; // 主机id，对应表hmc_server的id字段

    @Column("partition_id")
    private Long partitionId; // 分区id，对应表hmc_partition的id字段

    @Column("description")
    private String description; // 描述

    @Column("device_type")
    private String deviceType; // 适配器类型

    @Column("physical_location")
    private String physicalLocation; // 物理位置

    @Column("unique_device_id")
    private String uniqueDeviceId; //　设备唯一id

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }
}
